//
// 
// File: dso_io.h
// 
// Copyright (C) 2007, Jerry O'Keefe

typedef unsigned char uint8;
typedef unsigned short uint16;
typedef unsigned int uint32;

typedef struct
{
  uint16 dataLen;
  uint8 quitFlag;
  uint8 captureStartFlag;
  uint8 captureDoneFlag;
  uint8 captureBusyFlag;
  uint8 cmds[10];
  uint8 data[998];
} shmLayout;

#define SHM_SIZE (sizeof(shmLayout))

int dso_serial_init (char *devicename);
int dsoGetSamples ();
int dso_serial_close ();
